CVS PServer CVSROOT Passwd File Arbitrary Code Execution

This script is Copyright (C) 2004-2011 Tenable Network Security, Inc.

Synopsis :

The remote version control service has a code execution vulnerability.

Description :

According to its version number, the remote CVS server has an
arbitrary code execution vulnerability. Any user with the ability to
write the CVSROOT/passwd file could execute arbitrary code as root.

See also :

Solution :

Upgrade to CVS 1.11.11 or later.

Risk factor :

High / CVSS Base Score : 9.0
CVSS Temporal Score : 6.7
Public Exploit Available : false

Family: Misc.

Nessus Plugin ID: 11970 (cvs_pserver_cmd_exec.nasl)

Bugtraq ID: 9306